from typing import Any

from django.db.models import QuerySet
from rest_framework.serializers import BaseSerializer

class ReadOnlyModelViewSet:
    def get_queryset(self) -> QuerySet[Any]: ...
    def get_serializer_class(self) -> type[BaseSerializer]: ...
